# Class ModuleErrorBuilder

#### Hierarchy

- PayloadBuilder
  - ModuleErrorBuilder

- Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:10

#####
Index

### Constructors

constructor

### Properties

_message?
_sources?

### Accessors

meta

### Methods

build
fields
hashableFields
message
sources

## Constructors

### constructor

- new ModuleErrorBuilder(): ModuleErrorBuilder

- #### Returns ModuleErrorBuilder

  Overrides PayloadBuilder.constructor

  - Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:13

## Properties

### `Optional` _message

_message?: string

- Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:11

### `Optional` _sources

_sources?: string[]

- Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:12

## Accessors

### meta

- get meta(): {
  _client: string;
  _hash: string;
  _timestamp: number;
  schema: string;
  }

- #### Returns {
  _client: string;
  _hash: string;
  _timestamp: number;
  schema: string;
  }

  - ##### _client: string

  - ##### _hash: string

  - ##### _timestamp: number

  - ##### schema: string

  Inherited from PayloadBuilder.meta

  - Defined in protocol/packages/payload/packages/builder/dist/types/Builder.d.ts:11

## Methods

### build

- build(): SchemaFields & PayloadFields & {
  message?: string;
  schema: "network.xyo.error.module";
  sources?: string[];
  }

- #### Returns SchemaFields & PayloadFields & {
  message?: string;
  schema: "network.xyo.error.module";
  sources?: string[];
  }

  Overrides PayloadBuilder.build

  - Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:14

### fields

- fields(fields?): ModuleErrorBuilder

- #### Parameters

  - ##### `Optional` fields: Partial<SchemaFields & PayloadFields & Record<string, unknown> & {
    schema: string;
    }>

  #### Returns ModuleErrorBuilder

  Inherited from PayloadBuilder.fields

  - Defined in protocol/packages/payload/packages/builder/dist/types/Builder.d.ts:18

### hashableFields

- hashableFields(): SchemaFields & PayloadFields & Record<string, unknown> & {
  schema: string;
  }

- #### Returns SchemaFields & PayloadFields & Record<string, unknown> & {
  schema: string;
  }

  Inherited from PayloadBuilder.hashableFields

  - Defined in protocol/packages/payload/packages/builder/dist/types/Builder.d.ts:19

### message

- message(message): ModuleErrorBuilder

- #### Parameters

  - ##### message: string

  #### Returns ModuleErrorBuilder

  - Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:15

### sources

- sources(sources): ModuleErrorBuilder

- #### Parameters

  - ##### sources: string[]

  #### Returns ModuleErrorBuilder

  - Defined in modules/packages/module/packages/abstract/dist/types/Error.d.ts:16

Generated using TypeDoc